StartPipelineExecution
Starts execution of a pipeline in the specified workspace. Each compute node runs according to the DAG dependency order defined in the pipeline. Nodes without dependencies start immediately, while dependent nodes wait for all upstream nodes to complete successfully.
You can provide runtime environment variable overrides that take the highest priority in the environment variable hierarchy, without modifying the pipeline definition.
Request Syntax
POST /workspaces/workspaceName/pipelines/pipelineName/executions HTTP/1.1
Content-type: application/json
{
"clientToken": "string",
"executionEnvironmentVariableOverrides": {
"computeNodes": {
"string" : {
"string" : "string"
}
},
"global": {
"string" : "string"
}
},
"executionPriority": number
}
URI Request Parameters
The request uses the following URI parameters.
- pipelineName
-
The name of the pipeline to execute.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-zA-Z0-9_-]+Required: Yes
- workspaceName
-
The name of the workspace containing the pipeline.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
^[a-zA-Z0-9_-]+$Required: Yes
Request Body
The request accepts the following data in JSON format.
- clientToken
-
A unique, case-sensitive identifier that you provide to ensure the idempotency of the request. If you retry a request that completed successfully using the same client token, the server returns the cached result from the original successful request without performing the operation again.
Type: String
Length Constraints: Minimum length of 36. Maximum length of 64.
Pattern:
\S{36,64}Required: No
- executionEnvironmentVariableOverrides
-
Runtime environment variable overrides for the execution. Includes global variables that apply to all compute nodes and computeNodes for per-node overrides. These take the highest priority in the environment variable hierarchy.
Type: ExecutionEnvironmentVariables object
Required: No
- executionPriority
-
Scheduling priority for the execution. Lower values indicate higher priority. Defaults to 2 when not specified.
Type: Integer
Valid Range: Minimum value of 0. Maximum value of 2.
Required: No
Response Syntax
HTTP/1.1 202
Content-type: application/json
{
"pipelineExecutionId": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 202 response.
The following data is returned in JSON format by the service.
- pipelineExecutionId
-
The unique identifier of the created pipeline execution.
Type: String
Length Constraints: Fixed length of 36.
Pattern:
^(?!00000000-0000-0000-0000-000000000000)[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
Access is denied.
HTTP Status Code: 403
- ConflictingOperationException
-
Your request has conflicting operations. This can occur if you're trying to perform more than one operation on the same resource at the same time.
- resourceArn
-
The ARN of the resource that conflicts with this operation.
- resourceId
-
The ID of the resource that conflicts with this operation.
HTTP Status Code: 409
- InternalFailureException
-
AWS IoT SiteWise can't process your request right now. Try again later.
HTTP Status Code: 500
- InvalidRequestException
-
The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.
HTTP Status Code: 400
- LimitExceededException
-
You've reached the quota for a resource. For example, this can occur if you're trying to associate more than the allowed number of child assets or attempting to create more than the allowed number of properties for an asset model.
For more information, see Quotas in the AWS IoT SiteWise User Guide.
HTTP Status Code: 410
- ResourceNotFoundException
-
The requested resource can't be found.
HTTP Status Code: 404
- ThrottlingException
-
Your request exceeded a rate limit. For example, you might have exceeded the number of AWS IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.
For more information, see Quotas in the AWS IoT SiteWise User Guide.
HTTP Status Code: 429
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: